Elog - Feature #14686

Search doesn't find all entries!
11/28/2016 01:43 PM - Cheng-Yang Tan
Priority: Low Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

In the Booster log, do a search "loco" and not all entries containing loco are returned!

Simple test: Doing the above, the search returns loco entries only from date: 18 Nov, and 12 Oct and earlier. However, there are
entries from entries from 22 Nov, 18 Nov, 16 Nov etc.

Related issues:
Related to Elog - Bug #14725: Subject filter case sensitivity Closed 12/01/2016

History

#1 - 11/29/2016 01:51 AM - Michael Wren

Looks like the search isn't including the subject in the search. I'm fairly certain it did in the previous version.

#2-11/30/2016 01:18 PM - Kyle Hazelwood
- Tracker changed from Bug to Feature

- Status changed from New to Feedback

- Priority changed from High to Low

- Target version set to Version 2.0

Yes, subjects are no longer searched in the search string. | consider them essentially categories and they can be easily found on the filter page
without needing to search their text.

#3 - 12/01/2016 01:09 AM - Michael Wren

But with this design one cannot search for text inside of subjects. If | want to find all of the entries with the word 'loco’ or 'numi' in the subject there is
not a way to do this.

Perhaps just add Subjects as a possible selection of places to search in the filter form?
#4 - 12/01/2016 05:53 AM - Cheng-Yang Tan
Kyle Hazelwood wrote:
Yes, subjects are no longer searched in the search string. | consider them essentially categories and they can be easily found on the filter page

without needing to search their text.

| disagree strongly with your design choice. No other searches that | know of starts of with limiting the search results. Search should find everything
and then you filter out stuff that you don't want. | had deliberately put loco in the title of my machine studies so that | can find them easily later. It looks
like | have to make an entry in all my studies with a loco keyword in order to find my work from now on. This is just asinine.

Your consideration is wrong. Please change it.

#5 - 12/01/2016 06:44 AM - Kyle Hazelwood

Tan. | can show you a way to find all your entries in one second. If you intend to find them forever using one word "loco" in the future you should
request a category from your log admin. Searching subjects is slow and discourages the use of categories which are much faster to search on.

Also, on a personal note, | find your last reply rude and disrespectfull. | hope you don't think I'm more inclined to change something because you call it
asinine.

#6 - 12/01/2016 07:09 AM - Cheng-Yang Tan

Kyle Hazelwood wrote:
Tan. | can show you a way to find all your entries in one second. If you intend to find them forever using one word "loco" in the future you should
request a category from your log admin. Searching subjects is slow and discourages the use of categories which are much faster to search on.

Also, on a personal note, | find your last reply rude and disrespectfull. | hope you don't think I'm more inclined to change something because you
call it asinine.
| apologise for hurting your feelings. But | still find the design choice asinine.

Not finding all entries in a search is a MAJOR design flaw. Imagine that a person who has no knowledge of this design choice searches for an entry
and not finding the entries that has been entered in the log because of this "feature". | really find this unacceptable.

We can take this offline.

#7 - 12/01/2016 07:54 AM - Daniel Bollinger

| agree with Tan that subjects should be included in searches. | have made subjects in the past as an easy way to find particular studies or recurring
issues. Making a category for all studies seems to be a bit much.

#8 - 12/01/2016 09:24 AM - Kyle Hazelwood

- Category set to Database

Subjects can be easily found via the filter page by simply typing in a sub string of the subject title in the input box named "Subjects". What Tan is
doing is using a common phrase in his subjects to group multiple different studies, this is exactly what categories are intended for. Since his studies
have spanned multiple years | think the simple process of asking for a "LOCO Studies" category is perfectly acceptable.

Tan, help yourself and show some professionalism when requesting changes to the elog. Its apparent you haven't taken any time to explore the new
features of the elog.

However, | did find a bug while testing this feature. It is currently looking at case sensitivity when it shouldn't.

#9 - 12/01/2016 09:48 AM - Kyle Hazelwood
- Related to Bug #14725: Subject filter case sensitivity added

#10 - 12/01/2016 09:49 AM - Kyle Hazelwood
- Status changed from Feedback to Closed
